slice2java(1)

NAME
slice2java - The Slice to Java compiler.

SYNOPSIS
slice2java [options] [files]

DESCRIPTION
slice2java compiles Slice files to Java. Full documentation for slice2java is available online at:
https://doc.zeroc.com/ice/3.6/language-mappings/java-mapping/client-side-slice-to-java-mapping/slice2java-command-line-options

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--ice
    Permit use of the normally reserved prefix Ice for identifiers. Use this option only when compiling the source code for the Ice run time.

--underscore
    Permit use of underscores in Slice identifiers.

--tie
    Generate tie classes.

--impl
    Generate sample implementation files. This option will not overwrite an existing file.

--impl-tie
    Generate sample implementation files using tie classes. This option will not overwrite an existing file.

--checksum CLASS
    Generate checksums for Slice definitions into the class CLASS. The given class name may optionally contain a package specifier. The generated class contains checksums for all of the Slice files being translated by this invocation of the compiler.

--stream
    Generate streaming helper functions for Slice types.

--meta META
    Define the global metadata directive META. Using this option is equivalent to defining the global metadata META in each named Slice file, as well as in any file included by a named Slice file. Global metadata specified with --meta overrides any corresponding global metadata directive in the files being compiled.

SEE ALSO
slice2cpp(1), slice2cs(1), slice2freeze(1), slice2freezej(1), slice2html(1), slice2php(1), slice2py(1), slice2rb(1)